import fontConfig from "./assets/fonts/font.config";
export default {
  baseFont: fontConfig.baseFont,
  fontConfig: fontConfig,
  primaryColor: "#4263eb",
  primaryColor1: "rgba(66, 99, 235, 0.8)",
  primaryColor2: "rgba(66, 99, 235, 0.6)",
  primaryColor3: "rgba(66, 99, 235, 0.3)",
  primaryContrastColor: "#ffffff",
  secondaryColor: "#6c757d",
  secondaryContrastColor: "#ffffff",
  successColor: "#28a745",
  successContrastColor: "#ffffff",
  infoColor: "#17a2b8",
  infoContrastColor: "#ffffff",
  warningColor: "#ffc107",
  warningContrastColor: "#ffffff",
  dangerColor: "#dc3545",
  dangerContrastColor: "#ffffff",
  defaultColor: "#000000",
  defaultColor1: "#111111",
  defaultColor2: "#222222",
  defaultColor3: "#333333",
  defaultColor4: "#444444",
  defaultColor5: "#555555",
  defaultColor6: "#666666",
  defaultColor7: "#777777",
  defaultColor8: "#888888",
  defaultColor9: "#999999",
  defaultColorA: "#aaaaaa",
  defaultColorB: "#bbbbbb",
  defaultColorC: "#cccccc",
  defaultColorD: "#dddddd",
  defaultColorE: "#eeeeee",
  defaultColorF: "#ffffff",
  defaultBgColor: "#ffffff",
  defaultTextColor: "#151420",
  lightColor: "#ffffff",
  darkColor: "#000000",
  muteColor: "#aaaaaa",
  heading1FontSize: "36px",
  heading2FontSize: "30px",
  heading3FontSize: "24px",
  heading4FontSize: "18px",
  heading5FontSize: "14px",
  heading6FontSize: "12px",
  transparent: "transparent",
  badgeColor: "#6c757d",
  badgeContrastColor: "#ffffff",
  pageContentBgColor: "#eeeeee",
  widgetHeaderBgColor: "#ffffff",
  widgetHeaderTextColor: "#333333",
  widgetActiveHeaderBgColor: "#4263eb",
  widgetActiveHeaderTextColor: "#ffffff",
  widgetBorderColor: "#cccccc",
  widgetBgColor: "#ffffff",
  navbarBackgroundColor: "#ffffff",
  navbarBorderColor: "#cccccc",
  navbarTextColor: "#151420",
  navbarIconSize: 32,
  navbarFontSize: 24,
  navbarImageSize: 32,
  navbarCaretColor: "#4263eb",
  navitemChildBackgroundColor: "#ffffff",
  navitemChildTextColor: "#4263eb",
  navitemChildIconColor: "#4263eb",
  navitemActiveBackgroundColor: "#4263eb",
  navitemActiveTextColor: "#ffffff",
  navitemActiveIconColor: "#ffffff",
  linkDefaultColor: "#151420",
  linkPrimaryColor: "#4263eb",
  linkSecondaryColor: "#6c757d",
  linkSuccessColor: "#28a745",
  linkInfoColor: "#17a2b8",
  linkWarningColor: "#ffc107",
  linkDangerColor: "#dc3545",
  linkLightColor: "#ffffff",
  linkDarkColor: "#000000",
  anchorTextPadding: 2,
  layoutGridBgColor: "#ffffff",
  layoutGridBorderColor: "#cccccc",
  layoutGridStripColor1: "rgba(66, 99, 235, 0.1)",
  layoutGridHeaderBgColor: "#ffffff",
  layoutGridHeaderTextColor: "#333333",
  layoutGridStripColor2: "transparent",
  gridColumnBorderColor: "#cccccc",
  spinnerIconColor: "#4263eb",
  tabbarBackgroundColor: "#ffffff",
  tabbarTextColor: "#4263eb",
  tabbarIconColor: "#4263eb",
  tabHeaderBgColor: "#ffffff",
  tabHeaderTextColor: "#aaaaaa",
  tabHeaderIconColor: "#aaaaaa",
  tabActiveHeaderBgColor: "#ffffff",
  tabActiveHeaderTextColor: "#4263eb",
  tabActiveIndicatorBgColor: "#4263eb",
  tabActiveHeaderIconColor: "#4263eb",
  tabBorderColor: "#cccccc",
  tabContentBgColor: "#ffffff",
  labelHeaderColor: "#151420",
  labelDefaultColor: "#888888",
  labelDefaultContrastColor: "#ffffff",
  labelDangerColor: "#dc3545",
  labelDangerContrastColor: "#ffffff",
  labelInfoColor: "#17a2b8",
  labelInfoContrastColor: "#ffffff",
  labelPrimaryColor: "#4263eb",
  labelPrimaryContrastColor: "#ffffff",
  labelSuccessColor: "#28a745",
  labelSuccessContrastColor: "#ffffff",
  labelWarningColor: "#ffc107",
  labelWarningContrastColor: "#ffffff",
  labelTextSuccessColor: "#28a745",
  labelTextDangerColor: "#dc3545",
  labelTextInfoColor: "#17a2b8",
  labelTextMutedColor: "#aaaaaa",
  labelTextPrimaryColor: "#4263eb",
  labelTextWarningColor: "#ffc107",
  labelAsteriskColor: "#dc3545",
  listHeaderBgColor: "#ffffff",
  listTitleColor: "#333333",
  listSubTitleColor: "#666666",
  listDividerColor: "#cccccc",
  itemBgColor: "#ffffff",
  selectedItemBorderColor: "#4263eb",
  buttonBorderColor: "#cccccc",
  buttonBadgeBackgroundColor: "#6c757d",
  buttonBadgeTextColor: "#ffffff",
  buttonTextPadding: 2,
  buttonSuccessColor: "#28a745",
  buttonDefaultColor: "#ffffff",
  buttonPrimaryColor: "#4263eb",
  buttonSecondaryColor: "#ffffff",
  buttonDangerColor: "#dc3545",
  buttonWarningColor: "#ffc107",
  buttonInfoColor: "#17a2b8",
  buttonSuccessTextColor: "#ffffff",
  buttonDefaultTextColor: "#151420",
  buttonPrimaryTextColor: "#ffffff",
  buttonSecondaryTextColor: "#4263eb",
  buttonDangerTextColor: "#ffffff",
  buttonWarningTextColor: "#ffffff",
  buttonInfoTextColor: "#ffffff",
  buttonLinkColor: "transparent",
  buttonLinkTextColor: "#4263eb",
  buttonDarkColor: "#000000",
  buttonDarkTextColor: "#ffffff",
  buttonLightColor: "#ffffff",
  buttonLightTextColor: "#000000",
  buttonGrpBorderColor: "#cccccc",
  buttonGrpBgColor: "#ffffff",
  pictureThumbBgColor: "#ffffff",
  pictureThumbBorderColor: "#dddddd",
  inputTextColor: "#151420",
  inputBorderColor: "#dddddd",
  inputBackgroundColor: "#ffffff",
  inputFocusBorderColor: "#4263eb",
  inputInvalidBorderColor: "#dc3545",
  inputPlaceholderColor: "#bbbbbb",
  minimumTrackTintColor: "#4263eb",
  maximumTrackTintColor: "#ffffff",
  thumbTintColor: "#4263eb",
  ratingIconColor: "#aaaaaa",
  ratingSelectedIconColor: "#eb8600",
  toggleColor: "#4263eb",
  groupHeadingBgColor: "transparent",
  checkedColor: "#4263eb",
  checkedDisabledColor: "#aaaaaa",
  formBorderColor: "#cccccc",
  formTitleColor: "#151420",
  formSubTitleColor: "#666666",
  dialogBackgroundColor: "#ffffff",
  dialogBorderColor: "#cccccc",
  dialogCloseIconColor: "#aaaaaa",
  alertMessageColor: "#888888",
  badgeTextColor: "#ffffff",
  popoverBackgroundColor: "#ffffff",
  popoverTitleBackgroundColor: "#dddddd",
  popoverTitleColor: "#111111",
  menuIconColor: "#666666",
  menuTextColor: "#666666",
  menuBackgroundColor: "#ffffff",
  menuItemBorderColor: "#cccccc",
  menuItemIconColor: "#666666",
  menuItemTextColor: "#666666",
  tileDangerColor: "#dc3545",
  tileInfoColor: "#17a2b8",
  tilePrimaryColor: "#4263eb",
  tileSuccessColor: "#28a745",
  tileWarningColor: "#ffc107",
  tileWellbgColor: "#ffffff",
  tileWellBorderColor: "#eeeeee",
  tilePrimaryTextColor: "#ffffff",
  switchBgColor: "#ffffff",
  switchTextColor: "#151420",
  switchActiveBgColor: "#4263eb",
  switchActiveTextColor: "#ffffff",
  switchBorderColor: "#cccccc",
  messageSuccessColor: "#28a745",
  messageErrorColor: "#dc3545",
  messageWarningColor: "#ffc107",
  messageInfoColor: "#17a2b8",
  messageLoadingColor: "#17a2b8",
  panelBgColor: "#ffffff",
  panelHeaderBgColor: "#ffffff",
  panelHeaderTextColor: "#333333",
  panelFooterColor: "#dddddd",
  panelBorderColor: "#cccccc",
  panelDangerColor: "#dc3545",
  panelDefaultColor: "#000000",
  panelInfoColor: "#17a2b8",
  panelPrimaryColor: "#4263eb",
  panelSuccessColor: "#28a745",
  panelWarningColor: "#ffc107",
  panelTextColor: "#ffffff",
  cardHeaderBgColor: "#dddddd",
  cardBgColor: "#ffffff",
  cardTitleColor: "#333333",
  cardShadowColor: "#000000",
  cardSubTitleColor: "#666666",
  cardBorderColor: "#dddddd",
  cardContentBgColor: "#ffffff",
  cardFooterBgColor: "#ffffff",
  cardFooterBorderColor: "#dddddd",
  progressBarDefaultColor: "#4263eb",
  progressBarSuccessColor: "#28a745",
  progressBarDangerColor: "#dc3545",
  progressBarInfoColor: "#17a2b8",
  progressBarWarningColor: "#ffc107",
  progressCircleDefaultColor: "#4263eb",
  progressCircleSuccessColor: "#28a745",
  progressCircleDangerColor: "#dc3545",
  progressCircleInfoColor: "#17a2b8",
  progressCircleWarningColor: "#ffc107",
  containerOutlineColor: "#cccccc",
  accordionBgColor: "#ffffff",
  accordionTitleColor: "#333333",
  accordionHeaderBgColor: "#ffffff",
  accordionIconColor: "#bbbbbb",
  accordionActiveIconColor: "#ffffff",
  accordionActiveHeaderBgColor: "#4263eb",
  accordionActiveHeaderTextColor: "#ffffff",
  accordionBorderColor: "#eeeeee",
  accordionPaneBgColor: "#ffffff",
  carouselPrevBtnColor: "#ffffff",
  carouselPrevBgColor: "rgba(255, 255, 255, 0.4)",
  carouselNextBtnColor: "#ffffff",
  carouselNextBgColor: "rgba(255, 255, 255, 0.4)",
  carouselDotWrapperBgColor: "transparent",
  carouselDotColor: "#ffffff",
  carouselActiveDotColor: "#ffffff",
  calendarBgColor: "#ffffff",
  calendarHeaderBgColor: "#ffffff",
  calendarHeaderTextColor: "#151420",
  calendarWeekDayTextColor: "#aaaaaa",
  calendarDateColor: "#000000",
  calendarNotCurrentMonthDateColor: "#666666",
  calendarHeaderColor: "#ffffff",
  calendarPrevYearIconColor: "#aaaaaa",
  calendarNextYearIconColor: "#aaaaaa",
  calendarPrevMonthIconColor: "#aaaaaa",
  calendarNextMonthIconColor: "#aaaaaa",
  calendarDayBgColor: "#000000",
  calendarSelectedDayBgColor: "#4263eb",
  calendarSelectedDayTextColor: "#ffffff",
  calendarTodayBgColor: "rgba(66, 99, 235, 0.3)",
  calendarEventDay1Color: "rgba(66, 99, 235, 0.8)",
  calendarEventDay2Color: "rgba(66, 99, 235, 0.6)",
  calendarEventDay3Color: "rgba(66, 99, 235, 0.3)",
  datepickerBgColor: "#ffffff",
  wizardBackgroundColor: "#ffffff",
  wizardStepActiveColor: "#4263eb",
  wizardStepDoneColor: "#28a745",
  wizardStepDoneTextColor: "#ffffff",
  wizardStepIconColor: "#999999",
  wizardStepColor: "#999999",
  wizardActiveStepColor: "#ffffff",
  wizardDoneStepColor: "#ffffff",
  wizardStepTitleColor: "#aaaaaa",
  wizardNextBtnColor: "#4263eb",
  wizardDoneBtnColor: "#28a745",
  wizardStepConnectorColor: "#eeeeee",
  wizardStepCounerColor: "#999999",
  wizardBorderColor: "#cccccc",
  searchBorderColor: "#dddddd",
  searchButtonColor: "#4263eb",
  searchButtonTextColor: "#ffffff",
  searchItemBorderColor: "#dddddd",
  searchItemTextColor: "#666666",
  searchDropdownBackgroundColor: "#ffffff",
  searchDataCompleteItemBgColor: "#eeeeee",
  chipActiveBgColor: "#4263eb",
  chipDefaultBgColor: "#ffffff",
  chipActiveTextColor: "#ffffff",
  chipDefaultTextColor: "#aaaaaa",
  loginErrorMsgColor: "#ffffff",
  loginErrorMsgBgColor: "#dc3545",
  loginErrorMsgBorderColor: "#dc3545",
  cameraBgColor: "#ffffff",
  cameraBorderColor: "#cccccc",
  cameraTextColor: "#151420",
  barcodeScannerBgColor: "#ffffff",
  barcodeScannerBorderColor: "#cccccc",
  barcodeScannerTextColor: "#151420",
  fileuploadBgColor: "#ffffff",
  fileuploadBorderColor: "#cccccc",
  fileuploadTextColor: "#151420",
  chartLabelColor: "#151420",
  chartGraphLinesColor: "#cccccc",
  chartLineColor: "#888888",
  chartLegendBorder: "#777777",
  chartAxisColor: "#555555",
  chartAxisPointColor: "#999999",
  networkToastBgColor: "#333333",
  networkToastTextColor: "#ffffff",
  networkToastActionTextColor: "#4263eb",
  networkToastActionSeparatorColor: "#ffffff",
  skeletonBgColor: "#eeeeee",
  skeletonAnimatedBgColor: "#eeeeee",
  skeletonGradientBgColor: "#ffffff",
  skeletonGradientShadowColor: "#ffffff",
  skeletonGradientForegroundColor: "transparent",
}
